环境设置

要开始 Alita 开发,只需要电脑环境装有 Node & npm

当然你还需要一个开发IDE,推荐使用 VS Code

终端应用程序

Alita 的许多开发都需要熟悉命令行工具。如果您不熟悉命令行,请参阅此博客文章

通常,我们建议使用内置终端。

  • 对于Windows, 支持 Command PromptPowerShell
  • 对于macOS,支持内置的终端应用程序 Terminal

Node & npm

几乎所有用于现代 JavaScript 项目的工具都基于 Node.js。该下载页面已预构建的安装包适用于所有平台。我们建议选择 LTS 版本以确保最佳兼容性。

Node 捆绑安装了 npm,这是一个 JavaScript 的包管理器。

要验证安装成功,请打开一个新的终端窗口并运行:

$ node --version
$ npm --version

在 macOS 上使用 npm 安装全局模块时,经常会遇到权限问题,如果你遇到了 EACCES 错误,请查阅解决权限错误

注意,我们需要 node 版本在 10+,如果你使用低版本的 node ,可能会遇到一些预料之外的问题。如果你的开发环境,不允许你升级 node 版本,那你可以使用你能找到的任何方式联系我们。我们将会尝试着解决低版本兼容问题。

Git

Git 在开发运行 Alita 时,不是必须的,但是我们强烈建议你安装和使用它。Git 是一个很高效流行的版本控制软件。

Git 通常伴随有 Git 主机,例如 GitHub,在这种情况下,需要进行其他设置。按照 Git 主机文档中的教程设置 Git:

否则,请遵循官方安装说明。可以从下载页面下载命令行实用程序。

要验证安装成功,请打开一个新的终端窗口并运行:

$ git --version

Git GUI

Git 是一个命令行实用程序,但是有许多 GUI 客户端可用。使用 GitHub 的时候,推荐使用GitHub Desktop。其他 Git 主机,建议安装 Sourcetree

Previous
CLI 安装
Next
iOS 设置